# cloudhub-client
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: v1
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import cloudhub_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import cloudhub_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import cloudhub_client
from cloudhub_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: ApiKey
configuration = cloudhub_client.Configuration()
configuration.api_key['X-Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = cloudhub_client.SessionsApi(cloudhub_client.ApiClient(configuration))
session = 'session_example' # str |  (optional)

try:
    api_response = api_instance.api_sessions_certificate_get(session=session)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SessionsApi->api_sessions_certificate_get: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = cloudhub_client.Configuration()
configuration.api_key['X-Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = cloudhub_client.SessionsApi(cloudhub_client.ApiClient(configuration))
body = cloudhub_client.SessionCreateRequest() # SessionCreateRequest |  (optional)

try:
    api_response = api_instance.api_sessions_post(body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SessionsApi->api_sessions_post: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = cloudhub_client.Configuration()
configuration.api_key['X-Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = cloudhub_client.SessionsApi(cloudhub_client.ApiClient(configuration))
body = cloudhub_client.SignHashRequest() # SignHashRequest |  (optional)

try:
    api_response = api_instance.api_sessions_sign_hash_post(body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SessionsApi->api_sessions_sign_hash_post: %s\n" % e)

# Configure API key authorization: ApiKey
configuration = cloudhub_client.Configuration()
configuration.api_key['X-Api-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-Api-Key'] = 'Bearer'

# create an instance of the API class
api_instance = cloudhub_client.SessionsApi(cloudhub_client.ApiClient(configuration))
session = 'session_example' # str |  (optional)

try:
    api_response = api_instance.api_v2_sessions_certificate_get(session=session)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SessionsApi->api_v2_sessions_certificate_get: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to */*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*SessionsApi* | [**api_sessions_certificate_get**](docs/SessionsApi.md#api_sessions_certificate_get) | **GET** /api/sessions/certificate | 
*SessionsApi* | [**api_sessions_post**](docs/SessionsApi.md#api_sessions_post) | **POST** /api/sessions | 
*SessionsApi* | [**api_sessions_sign_hash_post**](docs/SessionsApi.md#api_sessions_sign_hash_post) | **POST** /api/sessions/sign-hash | 
*SessionsApi* | [**api_v2_sessions_certificate_get**](docs/SessionsApi.md#api_v2_sessions_certificate_get) | **GET** /api/v2/sessions/certificate | 

## Documentation For Models

 - [CertificateModel](docs/CertificateModel.md)
 - [SessionCreateRequest](docs/SessionCreateRequest.md)
 - [SessionModel](docs/SessionModel.md)
 - [SignHashRequest](docs/SignHashRequest.md)
 - [TrustServiceAuthParametersModel](docs/TrustServiceAuthParametersModel.md)
 - [TrustServiceInfoModel](docs/TrustServiceInfoModel.md)
 - [TrustServiceSessionTypes](docs/TrustServiceSessionTypes.md)

## Documentation For Authorization


## ApiKey

- **Type**: API key
- **API key parameter name**: X-Api-Key
- **Location**: HTTP header


## Author


